//
// Created by WJG on 2020-7-14.
//

#ifndef NEWCOSS_DEVICE_MSG_PROCESS_H
#define NEWCOSS_DEVICE_MSG_PROCESS_H

#define COSS_MSG_DEVICE_INFO "PostDeviceStatus"

//void lightjiaRequest_process(const Json::Value& data);
void devRequest_process(const Json::Value& data, Json::Value& resp);
void devResponse_process(const Json::Value& data);
void devResponse_gw_process(const Json::Value& data);
void devRegister_process(const Json::Value& data);
//void devRequest_process_gateway(const Json::Value& data, Json::Value& resp);
void tryPostMultiPanel(const std::string& summary, Json::Value &value);

void setCmdDeldevMark();

void response2app(const std::string& call_id, Json::Value& rsp);
void devMsgPut(const std::string& summary, const std::string& content);
Json::Value devMsgGet();
void addDevinterrupt();

void getMgsMods();
void setVdalMesh();
void setVdalZig();

#endif //NEWCOSS_DEVICE_MSG_PROCESS_H
